#!/bin/bash
# This script gets three variables passed: $DOMAIN, $ADMIN_PASSWORD, $IP, $LDAP_DC

mkdir -p /root/portainer

# Write docker-compose.yml file
echo "
services:
    portainer:
        image: portainer/portainer-ce
        container_name: portainer
        restart: always
        ports:
        - 29125:9000
        volumes:
        - /var/run/docker.sock:/var/run/docker.sock
        - portainer_data:/data
        environment:
        - TZ=Europe/Berlin

volumes:
    portainer_data:
" > /root/portainer/docker-compose.yml

docker-compose -f /root/portainer/docker-compose.yml up -d

echo "portainer.$DOMAIN {
    #tls internal
    reverse_proxy localhost:29125
}

" >> /etc/caddy/Caddyfile

# If domain is "int.de" uncomment the tls internal line for internal https
if [ "$DOMAIN" = "int.de" ]; then
    sed -i 's/#tls internal/tls internal/g' /etc/caddy/Caddyfile
fi

systemctl restart caddy